corda / net.corda.node.services.statemachine / StateMachineManager / stop

# stop

`fun stop(allowedUnsuspendedFiberCount: Int = 0): Unit`

Start the shutdown process, bringing the StateMachineManager to a controlled stop. When this method returns, all Fibers have been suspended and checkpointed, or have completed.

### Parameters

`allowedUnsuspendedFiberCount` - Optional parameter is used in some tests.